#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EClientExecutionSite {
    Invalid = 0,
    SteamUI = 1,
    Clientdll = 2,
    Any = 3,
}

impl EClientExecutionSite {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::SteamUI as i32 => Some(Self::SteamUI),
            x if x == Self::Clientdll as i32 => Some(Self::Clientdll),
            x if x == Self::Any as i32 => Some(Self::Any),
            _ => None,
        }
    }
}
